Package org.eclipse.ui.forms.widgets

## Class ColumnLayoutData

- java.lang.Object
- - org.eclipse.ui.forms.widgets.ColumnLayoutData

    public final class ColumnLayoutData
    extends Object

This class is used to store layout data for the `ColumnLayout` class. You can control width and height hints, as well as horizontal alignment using instances of this class. As with other layouts, they are not required to get the default behaviour.

Since:
  3.0
See Also:
  `ColumnLayout`

### Field Summary

Fields
`static int` `CENTER` Horizontal alignment constant - control will be centered.
`static int` `FILL` Horizontal alignment constant - control will fill the column.
`int` `heightHint` Height hint that will be used instead of the computed control height when used in conjunction with `ColumnLayout` class (default is SWT.DEFAULT).
`int` `horizontalAlignment` Horizontal alignment variable (default is FILL).
`static int` `LEFT` Horizontal alignment constant - control will be aligned to the left.
`static int` `RIGHT` Horizontal alignment constant - control will be aligned to the right.
`int` `widthHint` Width hint that will be used instead of the computed control width when used in conjunction with `ColumnLayout` class (default is SWT.DEFAULT).

### Constructor Summary

Constructors
`ColumnLayoutData()` The default constructor.
`ColumnLayoutData​(int wHint)` Convinience constructor for the class.
`ColumnLayoutData​(int wHint, int hHint)` Convinience constructor for the class.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### widthHint

    public int widthHint

Width hint that will be used instead of the computed control width when used in conjunction with `ColumnLayout` class (default is SWT.DEFAULT).

#### heightHint

    public int heightHint

Height hint that will be used instead of the computed control height when used in conjunction with `ColumnLayout` class (default is SWT.DEFAULT).

#### LEFT

    public static final int LEFT

Horizontal alignment constant - control will be aligned to the left.

See Also:
  Constant Field Values

#### CENTER

    public static final int CENTER

Horizontal alignment constant - control will be centered.

See Also:
  Constant Field Values

#### RIGHT

    public static final int RIGHT

Horizontal alignment constant - control will be aligned to the right.

See Also:
  Constant Field Values

#### FILL

    public static final int FILL

Horizontal alignment constant - control will fill the column.

See Also:
  Constant Field Values

#### horizontalAlignment

    public int horizontalAlignment

Horizontal alignment variable (default is FILL).

### Constructor Detail

#### ColumnLayoutData

    public ColumnLayoutData​(int wHint,
                            int hHint)

Convinience constructor for the class.

Parameters:
  `wHint` - width hint for the control
  `hHint` - height hint for the control

#### ColumnLayoutData

    public ColumnLayoutData​(int wHint)

Convinience constructor for the class.

Parameters:
  `wHint` - width hint for the control

#### ColumnLayoutData

    public ColumnLayoutData()

The default constructor.